## r-cran-kableextra 1.4.0%2Bdfsg

=== debian/changelog ===
r-cran-kableextra (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 21:45:37 +0100

r-cran-kableextra (1.3.4+dfsg-2) unstable; urgency=medium

  * Source-only upload
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 19 Aug 2023 17:47:11 +0200

r-cran-kableextra (1.3.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #989092)

 -- Andreas Tille <tille@debian.org>  Tue, 25 May 2021 21:18:30 +0200

## r-cran-kableextra 1.4.0+dfsg

=== DESCRIPTION ===
Package: kableExtra
Type: Package
Title: Construct Complex Table with 'kable' and Pipe Syntax
Version: 1.4.0
Authors@R: c(
    person('Hao', 'Zhu', email = 'haozhu233@gmail.com', role = c('aut', 'cre'),
    comment = c(ORCID = '0000-0002-3386-6076')),
    person('Thomas', 'Travison', role = 'ctb'),
    person('Timothy', 'Tsai', role = 'ctb'),
    person('Will', 'Beasley', email = 'wibeasley@hotmail.com', role = 'ctb'),
    person('Yihui', 'Xie', email = 'xie@yihui.name', role = 'ctb'),
    person('GuangChuang', 'Yu', email = 'guangchuangyu@gmail.com', role = 'ctb'),
    person('Stéphane', 'Laurent', role = 'ctb'),
    person('Rob', 'Shepherd', role = 'ctb'),
    person('Yoni', 'Sidi', role = 'ctb'), 
    person('Brian', 'Salzer', role = 'ctb'),
    person('George', 'Gui', role = 'ctb'),
    person('Yeliang', 'Fan', role = 'ctb'),
    person('Duncan', 'Murdoch', role = 'ctb'),
    person('Vincent', 'Arel-Bundock', role = 'ctb'),
    person('Bill', 'Evans',  role = 'ctb')
    )
Description: Build complex HTML or 'LaTeX' tables using 'kable()' from 'knitr' 
    and the piping syntax from 'magrittr'. Function 'kable()' is a light weight 
    table generator coming from 'knitr'. This package simplifies the way to 
    manipulate the HTML or 'LaTeX' codes generated by 'kable()' and allows 
    users to construct complex tables and customize styles using a readable 
    syntax. 
License: MIT + file LICENSE
URL: http://haozhu233.github.io/kableExtra/,
        https://github.com/haozhu233/kableExtra
BugReports: https://github.com/haozhu233/kableExtra/issues
Depends: R (>= 3.1.0)
Imports: knitr (>= 1.33), magrittr, stringr (>= 1.0), xml2 (>= 1.1.1),
        rmarkdown (>= 1.6.0), scales, viridisLite, stats, grDevices,
        htmltools, rstudioapi, tools, digest, graphics, svglite
Suggests: testthat, magick, tinytex, formattable, sparkline, webshot2
Config/testthat/edition: 3
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
Language: en-US
NeedsCompilation: no
Packaged: 2024-01-23 15:43:39 UTC; haozhu
Author: Hao Zhu [aut, cre] (<https://orcid.org/0000-0002-3386-6076>),
  Thomas Travison [ctb],
  Timothy Tsai [ctb],
  Will Beasley [ctb],
  Yihui Xie [ctb],
  GuangChuang Yu [ctb],
  Stéphane Laurent [ctb],
  Rob Shepherd [ctb],
  Yoni Sidi [ctb],
  Brian Salzer [ctb],
  George Gui [ctb],
  Yeliang Fan [ctb],
  Duncan Murdoch [ctb],
  Vincent Arel-Bundock [ctb],
  Bill Evans [ctb]
Maintainer: Hao Zhu <haozhu233@gmail.com>
Repository: CRAN
Date/Publication: 2024-01-24 14:20:02 UTC

=== debian/control ===
Source: r-cran-kableextra
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-knitr (>= 1.33),
               r-cran-magrittr,
               r-cran-stringr,
               r-cran-xml2,
               r-cran-rmarkdown,
               r-cran-scales,
               r-cran-viridislite,
               r-cran-htmltools,
               r-cran-rstudioapi,
               r-cran-digest,
               r-cran-svglite
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-kableextra
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-kableextra.git
Homepage: https://cran.r-project.org/package=kableExtra
Rules-Requires-Root: no

Package: r-cran-kableextra
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: construct complex table with 'kable' and pipe syntax in GNU R
 Build complex HTML or 'LaTeX' tables using 'kable()' from 'knitr'
 and the piping syntax from 'magrittr'. Function 'kable()' is a light weight
 table generator coming from 'knitr'. This package simplifies the way to
 manipulate the HTML or 'LaTeX' codes generated by 'kable()' and allows
 users to construct complex tables and customize styles using a readable
 syntax.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/kableExtra_([-\d.]*)\.tar\.gz
